com.smartgwt.client.util

## Class LogicalTime_CustomFieldSerializer

- java.lang.Object
- - com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalTime>
  - - com.smartgwt.client.util.LogicalTime_CustomFieldSerializer

-     public class LogicalTime_CustomFieldSerializer
      extends com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalTime>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogicalTime_CustomFieldSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `deserialize(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader, LogicalTime instance)`
    `void` | `deserializeInstance(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader, LogicalTime instance)`
    `boolean` | `hasCustomInstantiateInstance()`
    `static LogicalTime` | `instantiate(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader)`
    `LogicalTime` | `instantiateInstance(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader)`
    `static void` | `serialize(com.google.gwt.user.client.rpc.SerializationStreamWriter streamWriter, LogicalTime instance)`
    `void` | `serializeInstance(com.google.gwt.user.client.rpc.SerializationStreamWriter streamWriter, LogicalTime instance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogicalTime_CustomFieldSerializer

          public LogicalTime_CustomFieldSerializer()

  - ### Method Detail

    - #### deserialize

          public static void deserialize(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader,
                         LogicalTime instance)

    - #### instantiate

          public static LogicalTime instantiate(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader)
                                         throws com.google.gwt.user.client.rpc.SerializationException

      Throws:
        `com.google.gwt.user.client.rpc.SerializationException`

    - #### serialize

          public static void serialize(com.google.gwt.user.client.rpc.SerializationStreamWriter streamWriter,
                       LogicalTime instance)
                                throws com.google.gwt.user.client.rpc.SerializationException

      Throws:
        `com.google.gwt.user.client.rpc.SerializationException`

    - #### deserializeInstance

          public void deserializeInstance(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader,
                                 LogicalTime instance)
                                   throws com.google.gwt.user.client.rpc.SerializationException

      Specified by:
        `deserializeInstance` in class `com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalTime>`
      Throws:
        `com.google.gwt.user.client.rpc.SerializationException`

    - #### hasCustomInstantiateInstance

          public final boolean hasCustomInstantiateInstance()

      Overrides:
        `hasCustomInstantiateInstance` in class `com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalTime>`

    - #### instantiateInstance

          public LogicalTime instantiateInstance(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader)
                                          throws com.google.gwt.user.client.rpc.SerializationException

      Overrides:
        `instantiateInstance` in class `com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalTime>`
      Throws:
        `com.google.gwt.user.client.rpc.SerializationException`

    - #### serializeInstance

          public void serializeInstance(com.google.gwt.user.client.rpc.SerializationStreamWriter streamWriter,
                               LogicalTime instance)
                                 throws com.google.gwt.user.client.rpc.SerializationException

      Specified by:
        `serializeInstance` in class `com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalTime>`
      Throws:
        `com.google.gwt.user.client.rpc.SerializationException`